<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">

    <link rel="stylesheet" href="{{ url_for('admin-panel.static', filename='css/main.css') }}">

    <title>Админ-панель</title>
  </head>
  <body>

    <header id="header">
        <div class="container">
            <h2>Demo Trading Telegram Bot</h2>
            <p>Админ-панель</p>
        </div>
    </header>

    <nav id="nav">
        <div class="container">
            <ul>
                <li><a href="/admin-panel/dashboard/configs">Конфиги</a></li>
                <li><a href="/admin-panel/dashboard/commands">Команды</a></li>
                <li><a href="/admin-panel/dashboard/users">Юзеры</a></li>
                <li><a href="/admin-panel/dashboard/messages">Сообщения</a></li>
                <li><a href="/admin-panel/dashboard/instructions">Инструкция</a></li>
                <li><a href="/admin-panel/logout">Выйти</a></li>
            </ul>
        </div>
    </nav>

    <main>
      <div class="container">
        {% block content %}{% endblock %}
      </div>
    </main>

    <!-- Optional JavaScript; choose one of the two! -->

    <script
			  src="https://code.jquery.com/jquery-3.5.1.min.js"
			  integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0="
        crossorigin="anonymous"></script>

        <script>
          $(document).ready(function() {
    
              $("#add-config").submit(function() {
                var th = $(this);

                $('#add-config .form-success').text('');
                $('#add-config .form-error').text('');
    
                $.ajax({
                  type: "POST",
                  url: "/admin-panel/dashboard/configs",
                  data: th.serialize()
                }).done(function(d) {
                  if (d === 'ok') {
                    th[0].reset()
                    $('#add-config .form-success').text('Конфиг успешно добавен')
                    setTimeout(function() {
                      location.reload()
                    }, 1000)
                  } else {
                    $('#add-config .form-error').text(d)
                  }
                });
    
                return false;
              });

              $("#update-config").submit(function() {
                var th = $(this);

                $('#update-config .form-success').text('');
                $('#update-config .form-error').text('');
    
                $.ajax({
                  type: "PUT",
                  url: "/admin-panel/dashboard/configs",
                  data: th.serialize()
                }).done(function(d) {
                  if (d === 'ok') {
                    $('#update-config .form-success').text('Конфиг успешно обновлен')
                  } else {
                    $('#update-config .form-error').text(d)
                  }
                });
    
                return false;
              });

              $("a#delete-config").click(function() {
                const id = $(this).attr('data-id');

                if (confirm("Вы уверены, что хотите удалить конфиг с ID " + id)) {
                  $.ajax({
                  type: "DELETE",
                  url: "/admin-panel/dashboard/configs",
                  data: "config_id="+id
                }).done(function(d) {
                  if (d === 'ok') {
                    alert('Конфиг удален!');
                    setTimeout(function() {
                      location.reload()
                    }, 400)
                  } else {
                    alert(d);
                  }
                });
                }

                return false;
              });

              $("#add-command").submit(function() {
                var th = $(this);

                $('#add-command .form-success').text('');
                $('#add-command .form-error').text('');

                $.ajax({
                  type: "POST",
                  url: "/admin-panel/dashboard/commands",
                  data: th.serialize()
                }).done(function(d) {
                  if (d === 'ok') {
                    th[0].reset()
                    $('#add-command .form-success').text('Конфиг успешно добавен')
                    setTimeout(function() {
                      location.reload()
                    }, 1000)
                  } else {
                    $('#add-command .form-error').text(d)
                  }
                });

                return false;
              });

              $("a#delete-command").click(function() {
                const id = $(this).attr('data-id');

                if (confirm("Вы уверены, что хотите удалить команду с ID " + id)) {
                  $.ajax({
                  type: "DELETE",
                  url: "/admin-panel/dashboard/commands",
                  data: "command_id="+id
                }).done(function(d) {
                  if (d === 'ok') {
                    alert('Команда удалена!');
                    setTimeout(function() {
                      location.reload()
                    }, 400)
                  } else {
                    alert(d);
                  }
                });
                }

                return false;
              });

              $("#update-user-balance").submit(function() {
                var th = $(this);

                $('#update-user-balance .form-success').text('');
                $('#update-user-balance .form-error').text('');
    
                $.ajax({
                  type: "PUT",
                  url: "/admin-panel/dashboard/users/balance",
                  data: th.serialize()
                }).done(function(d) {
                  if (d === 'ok') {
                    $('#update-user-balance .form-success').text('Баланс успешно обновлен')
                  } else {
                    $('#update-user-balance .form-error').text(d)
                  }
                });
    
                return false;
              });

              $("#change_access").submit(function() {
                var th = $(this);

                $('#change_access .form-success').text('');
                $('#change_access .form-error').text('');

                $.ajax({
                  type: "PUT",
                  url: "/admin-panel/dashboard/users/access",
                  data: th.serialize()
                }).done(function(d) {
                  if (d === 'ok') {
                    $('#change_access .form-success').text('Сохранено!')
                  } else {
                    $('#change_access .form-error').text(d)
                  }
                });

                return false;
              });

              $("#prolong-form").submit(function() {
                var th = $(this);

                $('#prolong-form .form-success').text('');
                $('#prolong-form .form-error').text('');

                $.ajax({
                  type: "PUT",
                  url: "/admin-panel/dashboard/users/prolong",
                  data: th.serialize()
                }).done(function(d) {
                  if (d === 'ok') {
                    $('#prolong-form .form-success').text('Сделано!')
                  } else {
                    $('#prolong-form .form-error').text(d)
                  }
                });

                return false;
              });

              $("#send-message").submit(function() {
                var th = $(this);

                $('#send-message .form-success').text('');
                $('#send-message .form-error').text('');

                if (!confirm('Сообщение будет отправлено всем юзерам. Вы уверены?')) {
                  return false;
                }

                $.ajax({
                  type: "POST",
                  url: "/admin-panel/dashboard/messages",
                  data: th.serialize()
                }).done(function(d) {
                  if (d === 'ok') {
                    $('#send-message .form-success').text('Сообщение успешно отправлено!')
                  } else {
                    $('#send-message .form-error').text(d)
                  }
                });

                return false;
              });

              $("#upload-instructions").submit(function() {
                var $input = $("#upload-instructions input[type='file']");
                var fd = new FormData;

                fd.append('file', $input.prop('files')[0]);

                $('#upload-instructions .form-success').text('');
                $('#upload-instructions .form-error').text('');

                $.ajax({
                  type: "POST",
                  url: "/admin-panel/dashboard/instructions",
                  data: fd,
                  processData: false,
                  contentType: false
                }).done(function(d) {
                  if (d === 'ok') {
                    $('#upload-instructions .form-success').text('Файл успешно загружен!')
                  } else {
                    $('#upload-instructions .form-error').text(d)
                  }
                });

                return false;
              });
    
            });
        </script>

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>

    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.4/dist/umd/popper.min.js" integrity="sha384-q2kxQ16AaE6UbzuKqyBE9/u/KzioAlnx2maXQHiDX9d4/zp8Ok3f+M7DPm+Ib6IU" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.min.js" integrity="sha384-pQQkAEnwaBkjpqZ8RU1fF1AKtTcHJwFl3pblpTlHXybJjHpMYo79HY3hIi4NKxyj" crossorigin="anonymous"></script>
    -->
  </body>
</html>
